function ip = c_inner_product(w, a, b, v1, v2)
  ##
  ## The usual inner product defined on the space of continuous
  ## functions over the interval [a,b].
  ##
  ## INPUT:
  ##
  ##   * ``w`` -- The weight function.
  ##
  ##   * ``a`` -- The left endpoint of the interval.
  ##
  ##   * ``b`` -- The right endpoint of the interval.
  ##
  ##   * ``v1`` -- The first vector.
  ##
  ##   * ``v2`` -- The second vector.
  ##
  ## OUTPUT:
  ##
  ## The inner product <v1, v2>.
  ##
  integrand = @(x) w(x)*v1(x)*v2(x);
  ip = quad(integrand, a, b);
end
